Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 1354471

Summary: 2.0: rbd commands via API: Observing Inconsistent output between CLI and API for the command 'rbd children' when '--format xml' is used
Product: Red Hat Ceph Storage Reporter: Harish NV Rao <hnallurv>
Component: CalamariAssignee: Gregory Meno <gmeno>
Calamari sub component: Back-end QA Contact: Harish NV Rao <hnallurv>
Status: CLOSED WORKSFORME Docs Contact:
Severity: unspecified    
Priority: unspecified CC: ceph-eng-bugs, hnallurv, kdreyer, nlevine
Version: 2.0   
Target Milestone: rc   
Target Release: 2.1   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2016-08-06 09:23:21 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Harish NV Rao 2016-07-11 11:57:28 UTC
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 2 Harish NV Rao 2016-07-11 12:02:01 UTC
 Oberving Inconsistent output between CLI and API for the command 'rbd children' when '--format xml' is used.

CLI:
 command: rbd children -p rbd --image test1 --snap snap1 --format xml 
 output: <children><child><pool>rbd</pool><image>test40</image></child></children>

API:
 command: {"command":"rbd children -p rbd --image test1 --snap snap1 --format xml"}
 output: 
{
    "out": "<children></children>", 
    "err": "", 
    "status": 0
}

Version: ceph 10.2.2-15. Calamari: 1.4.4-1

Comment 3 Gregory Meno 2016-07-11 22:40:02 UTC
Does this affect all commands that accept --format xml ?
Does it look correct when not specifying --format?

Comment 4 Ken Dreyer (Red Hat) 2016-07-14 19:05:56 UTC
Discussed with Product Management (Neil) today, and PM does not think this issue should block the RHCS 2.0 release.

Comment 5 Harish NV Rao 2016-08-06 09:23:21 UTC
Not seeing this issue with calamari 1.4.7-1